# UniTAP.dev.modules.dut_tests.dut_default_params.dp_electrical_tests

class DpDutTaCaps(UniTAP.dev.modules.dut_tests.test_group_params_types.Param):

Class `DpDutTaCaps` describes DUT Test automation capabilities flags and allows settings values.

- DUT is capable for test link training `dut_capable_link_training`.
- DUT is capable for test video pattern `dut_capable_video_pattern`
- DUT is capable for test EDID read `dut_capable_edid_read`.

DpDutTaCaps(json_obj)
dut_capable_link_training: bool

Set and get DUT is capable for test link training flag support.

###### Returns:

> object of bool type

dut_capable_video_pattern: bool

Set and get DUT is capable for test video pattern flag support.

###### Returns:

> object of bool type

dut_capable_edid_read: bool

Set and get DUT is capable for test EDID read flag support.

###### Returns:

> object of bool type

##### Inherited Members

UniTAP.dev.modules.dut_tests.test_group_params_types.Param
  clear
  direct_set_def_value
  default_value
  min_value
  max_value
  config_id
  config_id_name
  name
  value_type
  enumeration_variants
  bit_field_list
  data_length

class DpElectricalTestParam:

Class `DpElectricalTestParam` describes parameters for DP electrical tests.

- Test timeout, in milliseconds `timeout`.
- Main link low voltage limit, mV `links_low_voltage`.
- Main link high voltage limit, mV `links_high_voltage`.
- HPD line logical zero low voltage level limit, mV `hpd_zero_low_voltage`.
- HPD line logical zero high voltage level limit, mV `hpd_zero_high_voltage`.
- HPD line logical one low voltage level limit, mV `hpd_one_low_voltage`.
- HPD line logical one high voltage level limit, mV `hpd_one_high_voltage`.
- AUX + line idle low voltage level limit, mV `aux_positive_idle_low_voltage`.
- AUX + line idle high voltage level limit, mV `aux_positive_idle_high_voltage`.
- AUX - line idle low voltage level limit, mV `aux_negative_idle_low_voltage`.
- AUX - line idle high voltage level limit, mV `aux_negative_idle_high_voltage`.
- AUX + line signal trigger level, mV `aux_positive_trig_voltage`.
- AUX - line signal trigger level, mV `aux_negative_trig_voltage`.
- AUX signal capture timeout, milliseconds `aux_signal_capture_timeout`.
- AUX signal capture attempts, times `aux_signal_capture_count`.
- Maximum lanes count supported by DUT `dut_max_lanes`.
- Maximum data rate supported by DUT in 0.27Gbps `dut_max_link_rate`.
- DUT Test automation capabilities flags `dut_ta_caps` type `DpDutTaCaps`.

DpElectricalTestParam(json_obj)
timeout: int

Set and get test timeout, in milliseconds.

###### Returns:

> object of int type

links_low_voltage: int

Set and get Main link low voltage limit.

###### Returns:

> object of int type

links_high_voltage: int

Set and get Main link high voltage limit.

###### Returns:

> object of int type

hpd_zero_low_voltage: int

Set and get HPD line logical zero low voltage level limit.

###### Returns:

> object of int type

hpd_zero_high_voltage: int

Set and get HPD line logical zero high voltage level limit.

###### Returns:

> object of int type

hpd_one_low_voltage: int

Set and get HPD line logical one low voltage level limit.

###### Returns:

> object of int type

hpd_one_high_voltage: int

Set and get HPD line logical one high voltage level limit.

###### Returns:

> object of int type

aux_positive_idle_low_voltage: int

Set and get AUX + line idle low voltage level limit.

###### Returns:

> object of int type

aux_positive_idle_high_voltage: int

Set and get AUX + line idle high voltage level limit.

###### Returns:

> object of int type

aux_negative_idle_low_voltage: int

Set and get AUX - line idle low voltage level limit.

###### Returns:

> object of int type

aux_negative_idle_high_voltage: int

Set and get AUX - line idle high voltage level limit.

###### Returns:

> object of int type

aux_positive_trig_voltage: int

Set and get AUX + line signal trigger level.

###### Returns:

> object of int type

aux_negative_trig_voltage: int

Set and get AUX - line signal trigger level.

###### Returns:

> object of int type

aux_signal_capture_timeout: int

Set and get AUX signal capture timeout, milliseconds.

###### Returns:

> object of int type

aux_signal_capture_count: int

Set and get AUX signal capture attempts.

###### Returns:

> object of int type

dut_max_lanes: int

Set and get Maximum lanes count supported by DUT.

###### Returns:

> object of int type

dut_max_link_rate: int

Set and get Maximum data rate supported by DUT in 0.27Gbps.

###### Returns:

> object of int type

dut_ta_caps

Set and get DUT Test automation capabilities flags.

###### Returns:

> object DpDutTaCaps